plugin.tx_sgjobs {
	view {
		templateRootPaths {
			0 = {$plugin.tx_sgjobs.view.templateRootPath}
			1 =
		}

		partialRootPaths {
			0 = {$plugin.tx_sgjobs.view.partialRootPath}
			1 =
		}

		layoutRootPaths {
			0 = {$plugin.tx_sgjobs.view.layoutRootPath}
			1 =
		}
	}

	persistence {
		enableAutomaticCacheClearing = 0
		updateReferenceIndex = 1
	}

	settings {
		allowedFileExtensions = {$plugin.tx_sgjobs.settings.allowedFileExtensions}
		allowedMimeTypes = {$plugin.tx_sgjobs.settings.allowedMimeTypes}
	}

	features {
		skipDefaultArguments = 1
	}

	legacy {
		enableLegacyFlashMessageHandling = 0
	}

	pagebrowser = USER
	pagebrowser {
		userFunc = TYPO3\CMS\Extbase\Core\Bootstrap->run
		extensionName = SgJobs
		pluginName = PageBrowser
		vendorName = SGalinski
		controller = PageBrowser
		action = index
		view < plugin.tx_sgjobs.view
		persistence < plugin.tx_sgjobs.persistence
		features < plugin.tx_sgjobs.features
		# cHash can't be generated for pageBrowser call; will cause a 404 error if not set to 0
		features.requireCHashArgumentForActionArguments = 0
		legacy < plugin.tx_sgjobs.legacy
		settings {
			# Number of page links to show before the current page
			pagesBefore = {$plugin.tx_sgjobs.pagebrowser.settings.pagesBefore}

			# Number of page links to show before the current page
			pagesAfter = {$plugin.tx_sgjobs.pagebrowser.settings.pagesAfter}

			# Enables section for "more" pages. This section is shown after links to next pages, normally like three dots (1 2 3 ...). Notice that you can also hide it by emptying corresponding template section.
			enableMorePages = {$plugin.tx_sgjobs.pagebrowser.settings.enableMorePages}

			# Enables section for "less" pages. This section is shown after links to next pages, normally like three dots (... 1 2 3) Notice that you can also hide it by emptying corresponding template section.
			enableLessPages = {$plugin.tx_sgjobs.pagebrowser.settings.enableLessPages}

			# The number of the pages
			numberOfPages = 0

			# The current page
			currentPage = 0
		}
	}
}

config.recordLinks {
	jobOffer {
		forceLink = 0
		typolink {
			parameter = {$plugin.tx_sgjobs.settings.applicationPid}
			additionalParams = &tx_sgjobs_jobapplication[jobId]={field:uid}
			additionalParams.insertData = 1
			useCacheHash = 1

			ATagParams.data = parameters:allParams
			target.data = parameters:target
			title.data = parameters:title
		}
	}
}
